Index: c/src/lib/libbsp/sparc/shared/include/ambapp.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/ambapp.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/ambapp.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,11 @@
+/**
+ * @file
+ * @ingroup sparc_bsp
+ * @defgroup amba AMBA
+ * @ingroup amba
+ * @brief AMBA Plug &Play routines
+ */
+
 /*
- *  AMBA Plug & Play routines
- *
  *  COPYRIGHT (c) 2009.
  *  Aeroflex Gaisler.
Index: c/src/lib/libbsp/sparc/shared/include/ambapp_ids.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/ambapp_ids.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/ambapp_ids.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,4 +1,9 @@
-/*  AMBA Plug & Play Bus Vendor and Device IDs.
- *
+/**
+ * @file
+ * @ingroup amba
+ * @brief AMBA Plug & Play Bus Vendor and Device IDs
+ */
+
+/*
  *  COPYRIGHT (c) 2008.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/apbuart.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/apbuart.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/apbuart.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,11 @@
+/**
+ * @file
+ * @ingroup sparc_bsp
+ * @defgroup uart UART
+ * @ingroup uart
+ * @brief Driver interface for APBUART
+ */
+
 /*
- *  Driver interface for APBUART
- *
  *  COPYRIGHT (c) 2007.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/apbuart_pci.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/apbuart_pci.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/apbuart_pci.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,9 @@
+/**
+ * @file
+ * @ingroup uart
+ * @brief APBUART via PCI - driver interface
+ */
+
 /*
- *  APBUART via PCI - driver interface
- *
  *  COPYRIGHT (c) 2007.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/apbuart_rasta.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/apbuart_rasta.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/apbuart_rasta.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,9 @@
+/**
+ * @file
+ * @ingroup uart
+ * @brief APBUART RASTA via PCI - driver interface
+ */
+
 /*
- *  APBUART RASTA via PCI - driver interface
- *
  *  COPYRIGHT (c) 2007.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/b1553brm.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/b1553brm.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/b1553brm.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,11 @@
- /*
- *  Macros used for brm controller
- *
+/**
+ * @file
+ * @ingroup sparc_bsp
+ * @defgroup 1553 B1553BRM
+ * @ingroup 1553
+ * @brief Macros used for brm controller
+ */
+
+/*
  *  COPYRIGHT (c) 2006.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/b1553brm_pci.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/b1553brm_pci.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/b1553brm_pci.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,9 @@
- /*
- *  Macros used for brm controller
- *
+/**
+ * @file
+ * @ingroup 1553
+ * @brief Macros used for brm controller via PCI
+ */
+
+/*
  *  COPYRIGHT (c) 2006.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/b1553brm_rasta.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/b1553brm_rasta.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/b1553brm_rasta.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,9 @@
- /*
- *  Macros used for brm controller
- *
+/**
+ * @file
+ * @ingroup 1553
+ * @brief Macros used for brm RASTA controller
+ */
+
+/*
  *  COPYRIGHT (c) 2006.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/debug_defs.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/debug_defs.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/debug_defs.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,2 +1,10 @@
+/**
+ * @file
+ * @ingroup bsp_kit
+ * @defgroup sparc_bsp SPARC
+ * @ingroup sparc_bsp
+ * @brief Debug Definitions
+ */
+
 #ifndef __DEBUG_DEFS_H__
 #define __DEBUG_DEFS_H__
Index: c/src/lib/libbsp/sparc/shared/include/grcan.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/grcan.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/grcan.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,11 @@
+/**
+ * @file
+ * @ingroup sparc_bsp
+ * @defgroup can GRCAN
+ * @ingroup can
+ * @brief Macros used for grcan controller
+ */
+
 /*
- *  Macros used for grcan controller
- *
  *  COPYRIGHT (c) 2007.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/grcan_rasta.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/grcan_rasta.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/grcan_rasta.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,2 +1,8 @@
+/**
+ * @file
+ * @ingroup can
+ * @brief Registers the GRCAN for RASTA
+ */
+
 #ifndef __GRCAN_RASTA_H__
 #define __GRCAN_RASTA_H__
Index: c/src/lib/libbsp/sparc/shared/include/grlib.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/grlib.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/grlib.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,9 @@
+/**
+ * @file
+ * @ingroup amba
+ * @brief Common GRLIB AMBA Core Register definitions
+ */
+
 /*
- *  Common GRLIB AMBA Core Register definitions
- *
  *  COPYRIGHT (c) 2012
  *  Aeroflex Gaisler
Index: c/src/lib/libbsp/sparc/shared/include/grspw.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/grspw.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/grspw.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,11 @@
+/**
+ * @file
+ * @ingroup sparc_bsp
+ * @defgroup spw SpaceWire
+ * @ingroup spw
+ * @brief Macros used for Spacewire bus
+ */
+
 /*
- *  Macros used for Spacewire bus
- *
  *  COPYRIGHT (c) 2007.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/grspw_pci.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/grspw_pci.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/grspw_pci.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,13 +1,17 @@
- /*
-  *  Macros used for GRSPW controller
-  *
-  *  COPYRIGHT (c) 2006.
-  *  Gaisler Research
-  *
-  *  The license and distribution terms for this file may be
-  *  found in the file LICENSE in this distribution or at
-  *  http://www.rtems.com/license/LICENSE.
-  *
-  */
+/**
+ * @file
+ * @ingroup spw
+ * @brief Macros used for GRSPW controller via PCI
+ */
+
+/*
+ *  COPYRIGHT (c) 2006.
+ *  Gaisler Research
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
+ *
+ */
 
 #ifndef __GRSPW_PCI_H__
Index: c/src/lib/libbsp/sparc/shared/include/grspw_rasta.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/grspw_rasta.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/grspw_rasta.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,9 @@
- /*
- *  Macros used for RASTA PCI GRSPW controller
- *
+/**
+ * @file
+ * @ingroup spw
+ * @brief Macros used for RASTA PCI GRSPW controller
+ */
+
+/*
  *  COPYRIGHT (c) 2006.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/i2cmst.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/i2cmst.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/i2cmst.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,11 @@
+/**
+ * @file
+ * @ingroup sparc_bsp
+ * @defgroup i2c I2C-master
+ * @ingroup i2c
+ * @brief Driver for GRLIB port of OpenCores I2C-master
+ */
+
 /*
- * Driver for GRLIB port of OpenCores I2C-master
- *
  * COPYRIGHT (c) 2007 Gaisler Research
  * with parts from the RTEMS MPC83xx I2C driver (c) 2007 Embedded Brains GmbH.
@@ -9,6 +15,6 @@
  * http://www.rtems.com/license/LICENSE.
  *
- * This file contains the driver declarations
  */
+
 #ifndef _I2CMST_H
 #define _I2CMST_H
Index: c/src/lib/libbsp/sparc/shared/include/occan.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/occan.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/occan.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,4 +1,9 @@
-/*  Gaisler wrapper to OpenCores CAN, driver interface
- *
+/**
+ * @file
+ * @ingroup can
+ * @brief Gaisler wrapper to OpenCores CAN - driver interface
+ */
+
+/*
  *  COPYRIGHT (c) 2007.
  *  Gaisler Research.
Index: c/src/lib/libbsp/sparc/shared/include/occan_pci.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/occan_pci.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/occan_pci.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,9 @@
- /*
- *  OC_CAN controller via PCI - driver interface
- *
+/**
+ * @file
+ * @ingroup can
+ * @brief OC_CAN controller via PCI - driver interface
+ */
+
+/*
  *  COPYRIGHT (c) 2007.
  *  Gaisler Research
Index: c/src/lib/libbsp/sparc/shared/include/pci.h
===================================================================
--- c/src/lib/libbsp/sparc/shared/include/pci.h	(revision 895020409377090bf1ebfd940ca2f6ecb13cd920)
+++ c/src/lib/libbsp/sparc/shared/include/pci.h	(revision 1d325e7b4da574d793b49beea8833478cef52d42)
@@ -1,5 +1,11 @@
+/**
+ * @file
+ * @ingroup sparc_bsp
+ * @defgroup pci PCI
+ * @ingroup pci
+ * @brief PCI defines and function prototypes
+ */
+
 /*
- *
- *	PCI defines and function prototypes
  *	Copyright 1994, Drew Eckhardt
  *	Copyright 1997, 1998 Martin Mares <mj@atrey.karlin.mff.cuni.cz>
